curl -X POST https://zeplo.ai/api/templates/sync \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
{
"success": true,
"message": "Templates synced successfully",
"data": {
"synced": 15,
"new": 2,
"updated": 3,
"deleted": 0
}
}
Templates
POST Sync Templates
Sync local templates with WhatsApp.
POST
/
api
/
templates
/
sync
curl -X POST https://zeplo.ai/api/templates/sync \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
{
"success": true,
"message": "Templates synced successfully",
"data": {
"synced": 15,
"new": 2,
"updated": 3,
"deleted": 0
}
}
Sync templates
POST /api/templates/sync
Synchronize templates between the platform and WhatsApp Business API. Fetches the latest template statuses and creates new templates from WhatsApp.
Headers
string
required
Session cookie (login via POST /api/auth/login)
curl -X POST https://zeplo.ai/api/templates/sync \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
{
"success": true,
"message": "Templates synced successfully",
"data": {
"synced": 15,
"new": 2,
"updated": 3,
"deleted": 0
}
}
Get template metadata from Meta
GET /api/whatsapp/templates/:templateId/meta
Fetch detailed template information directly from the WhatsApp/Meta API.
Path parameters
string
required
Meta template ID.
curl https://zeplo.ai/api/whatsapp/templates/1234567890/meta \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
